List all Endpoints for an Instance
GET
https://api.neuroscale.io/v2.0/instances/{instance-id}/endpoints
Path parameters¶
| Name | Type | Description |
|---|---|---|
instance-id |
String | Unique identifier of the Instance. |
The Endpoints Collection resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| count | Integer | Total number of Endpoint objects contained in the response. |
| data | Array of Endpoints | Array of Endpoint objects. |
| object | String | Resource type (value is "list"). |
| url | String | Uniform Resource Locator (URL) of the Endpoints Collection resource relative to the base NeuroScale Platform API URL. |
Authentication¶
Type: Access token
Required scopes: instance or read:instance
Responses¶
Example response — 200¶
{
"count": 2,
"data": [
{
"created_at": 1445979369,
"id": "ep_o5YahbaaALiHe7SwqnkaYd",
"instance": "in_pNSdRK7AL85ZqdD49qwQBg",
"mode": "write",
"object": "endpoint",
"updated_at": 1445979369,
"url": "mqtt://streaming.neuroscale.io:443/HQqa8gNM66RgJKnZ43SLWT/in"
},
{
"created_at": 1445979369,
"id": "ep_25jGWzHAcmzqVgvHB8RkH8",
"instance": "in_pNSdRK7AL85ZqdD49qwQBg",
"mode": "read",
"object": "endpoint",
"updated_at": 1445979369,
"url": "mqtt://streaming.neuroscale.io:443/HQqa8gNM66RgJKnZ43SLWT/out"
}
],
"object": "list",
"url": "/v1/instances/in_pNSdRK7AL85ZqdD49qwQBg/endpoints"
}